<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>E-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="E-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><a href="../elasticclient/package-summary.html">elasticclient</a> - package elasticclient</dt>
<dd>&nbsp;</dd>
<dt><a href="../elasticclient/ElasticClient.html" title="class in elasticclient"><span class="typeNameLink">ElasticClient</span></a> - Class in <a href="../elasticclient/package-summary.html">elasticclient</a></dt>
<dd>
<div class="block">Represents a basic client for ES.</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#ElasticClient-org.elasticsearch.client.RestHighLevelClient-java.lang.String-">ElasticClient(RestHighLevelClient, String)</a></span> - Constructor for class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">ElasticClient constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#ElasticClient-java.lang.String-">ElasticClient(String)</a></span> - Constructor for class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../elasticclient/ElasticClientException.html" title="class in elasticclient"><span class="typeNameLink">ElasticClientException</span></a> - Exception in <a href="../elasticclient/package-summary.html">elasticclient</a></dt>
<dd>
<div class="block">Represents an ElasticClient specific exception</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientException.html#ElasticClientException--">ElasticClientException()</a></span> - Constructor for exception elasticclient.<a href="../elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientException.html#ElasticClientException-java.lang.String-">ElasticClientException(String)</a></span> - Constructor for exception elasticclient.<a href="../elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient"><span class="typeNameLink">ElasticClientResponse</span></a> - Class in <a href="../elasticclient/package-summary.html">elasticclient</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientResponse.html#ElasticClientResponse--">ElasticClientResponse()</a></span> - Constructor for class elasticclient.<a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/ElasticClientTest.html" title="class in tests"><span class="typeNameLink">ElasticClientTest</span></a> - Class in <a href="../tests/package-summary.html">tests</a></dt>
<dd>
<div class="block">Represents a test client, it can execute the request contained in a file and returns the ES server response.</div>
</dd>
<dt><span class="memberNameLink"><a href="../tests/ElasticClientTest.html#ElasticClientTest-org.elasticsearch.client.RestHighLevelClient-java.lang.String-">ElasticClientTest(RestHighLevelClient, String)</a></span> - Constructor for class tests.<a href="../tests/ElasticClientTest.html" title="class in tests">ElasticClientTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newaggregation/package-summary.html">examples.newaggregation</a> - package examples.newaggregation</dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newquery/package-summary.html">examples.newquery</a> - package examples.newquery</dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newtemplate/package-summary.html">examples.newtemplate</a> - package examples.newtemplate</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocCreateRequest.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">executeRequest(RestHighLevelClient)</a></span> - Method in class docrequests.<a href="../docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocDeleteRequest.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">executeRequest(RestHighLevelClient)</a></span> - Method in class docrequests.<a href="../docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">executeRequest(RestHighLevelClient)</a></span> - Method in class docrequests.<a href="../docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/Request.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">executeRequest(RestHighLevelClient)</a></span> - Method in interface docrequests.<a href="../docrequests/Request.html" title="interface in docrequests">Request</a></dt>
<dd>
<div class="block">Executes this request using the given client.</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#executeRequest--">executeRequest()</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">Executes the request and print the ES server response.</div>
</dd>
<dt><span class="memberNameLink"><a href="../tests/ElasticClientTest.html#executeRequest--">executeRequest()</a></span> - Method in class tests.<a href="../tests/ElasticClientTest.html" title="class in tests">ElasticClientTest</a></dt>
<dd>
<div class="block">Executes the request and return the ES server response</div>
</dd>
<dt><a href="../examples/newquery/ExistsQuery.html" title="class in examples.newquery"><span class="typeNameLink">ExistsQuery</span></a> - Class in <a href="../examples/newquery/package-summary.html">examples.newquery</a></dt>
<dd>
<div class="block">Represents the ES exists query</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newquery/ExistsQuery.html#ExistsQuery--">ExistsQuery()</a></span> - Constructor for class examples.newquery.<a href="../examples/newquery/ExistsQuery.html" title="class in examples.newquery">ExistsQuery</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
